<template>
  <div>
    <fieldset name="language" class="language">
      <legend>{{ t("Language") }}</legend>
      <div class="custom-radio__wrapper">
        <div
          :class="[
            'custom-radio__option',
            currentSettings.language === 'de' ? 'selected' : null
          ]"
        >
          <label>
            <input
              type="radio"
              id="language_de"
              name="language"
              value="de"
              :checked="currentSettings.language === 'de'"
            />
            {{ t("German") }}
          </label>
        </div>
        <div
          :class="[
            'custom-radio__option',
            currentSettings.language === 'en' ? 'selected' : null
          ]"
        >
          <label>
            <input
              type="radio"
              id="language_en"
              name="language"
              value="en"
              :checked="currentSettings.language === 'en'"
            />
            {{ t("English") }}
          </label>
        </div>
      </div>
    </fieldset>
  </div>
</template>

<script>
module.exports = {
  name: "idioms_source",
  props: {
    currentSettings: {
      type: Object,
      default: function() {
        return {
            language: ""
        };
      },
    },
    locale: {
      type: String,
      required: true
    }
  },
  locales: {
    deDe: {
      Language: "Sprache",
      German: "Deutsch",
      English: "Englisch"
    }
  }
};
</script>
